OGRE: Ogre::AtomicScalar< T > Class Template Reference - OGRE Documentation

# Ogre::AtomicScalar< T > Class Template Reference

`#include <OgreAtomicWrappers.h>`

List of all members.

## Public Member Functions
| AtomicScalar (const T &initial)
| AtomicScalar (const AtomicScalar< T > &cousin)
| AtomicScalar ()
void | operator= (const AtomicScalar< T > &cousin)
T | get (void) const
void | set (const T &v)
bool | cas (const T &old, const T &nu)
T | operator++ (void)
T | operator-- (void)
T | operator++ (int)
T | operator-- (int)
## Protected Attributes
OGRE_AUTO_MUTEX volatile T | mField

## Detailed Description

### template<class T>
class Ogre::AtomicScalar< T >

Definition at line 292 of file OgreAtomicWrappers.h.

## Constructor & Destructor Documentation

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( | const T & | initial | ) |

Definition at line 296 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( | const AtomicScalar< T > & | cousin | ) |

Definition at line 300 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( |  | ) |

Definition at line 304 of file OgreAtomicWrappers.h.

## Member Function Documentation

template<class T>

void Ogre::AtomicScalar< T >::operator= | ( | const AtomicScalar< T > & | cousin | ) |

Definition at line 307 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::get | ( | void |  | ) | const

Definition at line 313 of file OgreAtomicWrappers.h.

template<class T>

void Ogre::AtomicScalar< T >::set | ( | const T & | v | ) |

Definition at line 321 of file OgreAtomicWrappers.h.

template<class T>

bool Ogre::AtomicScalar< T >::cas | ( | const T & | old,
|  | const T & | nu |
| ) |  |  |

Definition at line 327 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator++ | ( | void |  | ) |

Definition at line 335 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator-- | ( | void |  | ) |

Definition at line 341 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator++ | ( | int |  | ) |

Definition at line 347 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator-- | ( | int |  | ) |

Definition at line 353 of file OgreAtomicWrappers.h.

## Member Data Documentation

template<class T>

OGRE_AUTO_MUTEX volatile T Ogre::AtomicScalar< T >::mField`[protected]`

Definition at line 363 of file OgreAtomicWrappers.h.

The documentation for this class was generated from the following file:

- OgreAtomicWrappers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:46 2009